Aller au contenu
Français

Télécharger le fichier

POST/v1/mailboxes/{mailbox_id}/files

multipart/form-data, champ file. Taille de 1 octet à 25 Mio. L'antivirus vérifie le fichier avant de le télécharger. Un quota insuffisant donne 409, surdimensionné - 413, menace détectée - 422, contrôle indisponible - 503.

Zones d’autorisation et d’accès · Erreurs et répétitions

Demande

Fenêtre de terminal
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/files' \
-H 'Authorization: Bearer <access_token>' \

Possibilités

mailbox_idpathNécessairement

integer

X-Customer-IDheader
Option 1

string

Option 2

null

Corps de la demande · multipart/form-data

object

fileNécessairement

string · binary

Réponses

201 Réponse réussie

application/json

object

id

string · uuid

filename

string

content_type

string

size_bytes

integer

scanned_at
Option 1

string

Date et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.

Option 2

null

401 Connexion requise

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

403 Pas d'accès

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

404 Ressource introuvable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

409 Conflit d'État

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

413 Taille dépassée

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

422 Erreur de validation

application/json

object

detail

array

Éléments du tableau

object

locNécessairement

array

Éléments du tableau
Option 1

string

Option 2

integer

msgNécessairement

string

typeNécessairement

string

503 Indisponibilité temporaire

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object